What is good for Ubuntu Feisty is also good for Centos 5!

The Joe writes:

The install goes great, but when I run the server I get the following error:
/usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libpng12.so.0/libpng12.so.0: no version information available (required by /usr/lib/libcairo.so.2)

As far as I can tell, the libpng12.so.0 that gets installed to the /usr/lib/vmware/lib/libpng12.so.0 directory is the wrong version, your system should have a current version installed. To fix this just delete or rename libpng12.so.0 from /usr/lib/vmware/lib/libpng12.so.0

www.TheJoe.com ยป Ubuntu Feisty Vmware Server and libpng12.so.0

I was getting the same error message under Centos 5. Thinking that a solution for Ubuntu Feisty might work for Centos 5, I gave it a try and was pleasantly surprised. I renamed the file and restarted the Vmware server. The error message no longer appears and the server appears to be working fine. It also fixed the bigger problem I was having with accessing the virtual machine from PCs on the same sub-network other than the host.

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.